Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 673988 - x11-misc/virtualgl-2.5.2 with dev-libs/openssl-1.1.0j - In file included from .../work/VirtualGL-2.5.2/util/Socket.cpp:16: .../work/VirtualGL-2.5.2/include/Socket.h:171:38: error: ‘CRYPTO_NUM_LOCKS’ was not declared in this scope
Summary: x11-misc/virtualgl-2.5.2 with dev-libs/openssl-1.1.0j - In file included from...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: NP-Hardass
URL:
Whiteboard:
Keywords: PullRequest
Depends on: 674072
Blocks: openssl-1.1
  Show dependency tree
 
Reported: 2018-12-29 14:55 UTC by Dennis Schridde
Modified: 2019-01-11 21:31 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,240.85 KB, text/plain)
2018-12-29 14:55 UTC, Dennis Schridde
Details
With this patch build with openssl-1.1 (virtualgl-openssl-1.1.patch,1.44 KB, patch)
2018-12-30 09:05 UTC, alexandrl
Details | Diff
virtualgl-2.5.2-openssl-1.1-compat-a974c22141d0ded9ff60a0b903f81e6b484d6ba4.patch (virtualgl-2.5.2-openssl-1.1-compat-a974c22141d0ded9ff60a0b903f81e6b484d6ba4.patch,4.93 KB, patch)
2018-12-30 10:41 UTC, Dennis Schridde
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Schridde 2018-12-29 14:55:00 UTC
Created attachment 558820 [details]
build.log

In file included from /tmp/portage/x11-misc/virtualgl-2.5.2/work/VirtualGL-2.5.2/util/Socket.cpp:16:
/tmp/portage/x11-misc/virtualgl-2.5.2/work/VirtualGL-2.5.2/include/Socket.h:171:38: error: ‘CRYPTO_NUM_LOCKS’ was not declared in this scope
    static CriticalSection cryptoLock[CRYPTO_NUM_LOCKS];
                                      ^~~~~~~~~~~~~~~~
/usr/sbin/x86_64-pc-linux-gnu-g++ -m32  -pipe -O2 -march=znver1  -Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu -Wl,--no-as-needed -L/tmp/portage/x11-misc/virtualgl-2.5.2/work/VirtualGL-2.5.2-abi_x86_32.x86/staticlib -static-libgcc -rdynamic CMakeFiles/tcbench.dir/tcbench.cpp.o CMakeFiles/tcbench.dir/dsimple.c.o  -o ../bin/tcbench ../lib/libfbx.a -lX11 -lXext 
/tmp/portage/x11-misc/virtualgl-2.5.2/work/VirtualGL-2.5.2/include/Socket.h:171:38: note: suggested alternative: ‘CRYPTO_UNLOCK’
    static CriticalSection cryptoLock[CRYPTO_NUM_LOCKS];
                                      ^~~~~~~~~~~~~~~~
                                      CRYPTO_UNLOCK
/tmp/portage/x11-misc/virtualgl-2.5.2/work/VirtualGL-2.5.2/include/Socket.h: In static member function ‘static void vglutil::Socket::lockingCallback(int, int, const char*, int)’:
/tmp/portage/x11-misc/virtualgl-2.5.2/work/VirtualGL-2.5.2/include/Socket.h:166:26: error: ‘cryptoLock’ was not declared in this scope
     if(mode&CRYPTO_LOCK) cryptoLock[type].lock();
                          ^~~~~~~~~~
/tmp/portage/x11-misc/virtualgl-2.5.2/work/VirtualGL-2.5.2/include/Socket.h:167:10: error: ‘cryptoLock’ was not declared in this scope
     else cryptoLock[type].unlock();
          ^~~~~~~~~~
/tmp/portage/x11-misc/virtualgl-2.5.2/work/VirtualGL-2.5.2/util/Socket.cpp: At global scope:
/tmp/portage/x11-misc/virtualgl-2.5.2/work/VirtualGL-2.5.2/util/Socket.cpp:46:36: error: ‘CRYPTO_NUM_LOCKS’ was not declared in this scope
 CriticalSection Socket::cryptoLock[CRYPTO_NUM_LOCKS];
                                    ^~~~~~~~~~~~~~~~
/tmp/portage/x11-misc/virtualgl-2.5.2/work/VirtualGL-2.5.2/util/Socket.cpp:46:36: note: suggested alternative: ‘CRYPTO_UNLOCK’
 CriticalSection Socket::cryptoLock[CRYPTO_NUM_LOCKS];
                                    ^~~~~~~~~~~~~~~~
                                    CRYPTO_UNLOCK
In file included from /usr/include/openssl/x509.h:23,
                 from /usr/include/openssl/ssl.h:50,
                 from /tmp/portage/x11-misc/virtualgl-2.5.2/work/VirtualGL-2.5.2/include/Socket.h:24,
                 from /tmp/portage/x11-misc/virtualgl-2.5.2/work/VirtualGL-2.5.2/util/Socket.cpp:16:
/tmp/portage/x11-misc/virtualgl-2.5.2/work/VirtualGL-2.5.2/util/Socket.cpp: In function ‘EVP_PKEY* newPrivateKey(int)’:
/tmp/portage/x11-misc/virtualgl-2.5.2/work/VirtualGL-2.5.2/util/Socket.cpp:67:26: warning: ‘RSA* RSA_generate_key(int, long unsigned int, void (*)(int, int, void*), void*)’ is deprecated [-Wdeprecated-declarations]
    progressCallback, NULL))) _throwssl();
                          ^
In file included from /usr/include/openssl/opensslconf.h:13,
                 from /usr/include/openssl/e_os2.h:13,
                 from /usr/include/openssl/ssl.h:45,
                 from /tmp/portage/x11-misc/virtualgl-2.5.2/work/VirtualGL-2.5.2/include/Socket.h:24,
                 from /tmp/portage/x11-misc/virtualgl-2.5.2/work/VirtualGL-2.5.2/util/Socket.cpp:16:
/usr/include/openssl/rsa.h:193:1: note: declared here
 DEPRECATEDIN_0_9_8(RSA *RSA_generate_key(int bits, unsigned long e, void
 ^~~~~~~~~~~~~~~~~~
In file included from /usr/include/openssl/x509.h:23,
                 from /usr/include/openssl/ssl.h:50,
                 from /tmp/portage/x11-misc/virtualgl-2.5.2/work/VirtualGL-2.5.2/include/Socket.h:24,
                 from /tmp/portage/x11-misc/virtualgl-2.5.2/work/VirtualGL-2.5.2/util/Socket.cpp:16:
/tmp/portage/x11-misc/virtualgl-2.5.2/work/VirtualGL-2.5.2/util/Socket.cpp:67:26: warning: ‘RSA* RSA_generate_key(int, long unsigned int, void (*)(int, int, void*), void*)’ is deprecated [-Wdeprecated-declarations]
    progressCallback, NULL))) _throwssl();
                          ^
In file included from /usr/include/openssl/opensslconf.h:13,
                 from /usr/include/openssl/e_os2.h:13,
                 from /usr/include/openssl/ssl.h:45,
                 from /tmp/portage/x11-misc/virtualgl-2.5.2/work/VirtualGL-2.5.2/include/Socket.h:24,
                 from /tmp/portage/x11-misc/virtualgl-2.5.2/work/VirtualGL-2.5.2/util/Socket.cpp:16:
/usr/include/openssl/rsa.h:193:1: note: declared here
 DEPRECATEDIN_0_9_8(RSA *RSA_generate_key(int bits, unsigned long e, void
 ^~~~~~~~~~~~~~~~~~
Comment 1 alexandrl 2018-12-30 09:05:39 UTC
Created attachment 558922 [details, diff]
With this patch build with openssl-1.1
Comment 2 Dennis Schridde 2018-12-30 10:41:48 UTC
Created attachment 558980 [details, diff]
virtualgl-2.5.2-openssl-1.1-compat-a974c22141d0ded9ff60a0b903f81e6b484d6ba4.patch

(In reply to alexandrl from comment #1)
> Created attachment 558922 [details, diff] [details, diff]
> With this patch build with openssl-1.1

This is a subset of an upstream patch: https://github.com/VirtualGL/virtualgl/commit/a974c22141d0ded9ff60a0b903f81e6b484d6ba4
It cannot be applied directly, because a previous commit reformatted whitespace: https://github.com/VirtualGL/virtualgl/commit/1b82bceb3723b24ea5dc32edffbe019a8a37ab39

Attached patch is a974c22141d0ded9ff60a0b903f81e6b484d6ba4 modified to apply to versions before 1b82bceb3723b24ea5dc32edffbe019a8a37ab39.  It makes VirtualGL 2.5.2 build on my machine.

Both patches are included in VirtualGL 2.6 (bug #674072).

Thank you, Alexandrl, for the hint!
Comment 3 Larry the Git Cow gentoo-dev 2019-01-11 21:31:00 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=74eced9102a1189d33f113ac5b0ad3149930b048

commit 74eced9102a1189d33f113ac5b0ad3149930b048
Author:     Craig Andrews <candrews@gentoo.org>
AuthorDate: 2019-01-09 16:08:31 +0000
Commit:     Craig Andrews <candrews@gentoo.org>
CommitDate: 2019-01-11 21:30:51 +0000

    x11-misc/virtualgl: OpenSSL 1.1 compatibility
    
    Closes: https://bugs.gentoo.org/673988
    Package-Manager: Portage-2.3.54, Repoman-2.3.12
    Signed-off-by: Craig Andrews <candrews@gentoo.org>

 ...-a974c22141d0ded9ff60a0b903f81e6b484d6ba4.patch | 168 +++++++++++++++++++++
 x11-misc/virtualgl/virtualgl-2.5.2-r1.ebuild       |  91 +++++++++++
 2 files changed, 259 insertions(+)